commit:     ec8e7c97aa998b6ac1ab387ec461ae4c1d2fb3e2
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Tue Sep 20 12:48:22 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Sep 20 21:10:29 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec8e7c97

dev-python/rebulk: verbump to 0.7.6

Package-Manager: portage-2.3.1

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/rebulk/Manifest            |  1 +
 dev-python/rebulk/rebulk-0.7.6.ebuild | 41 +++++++++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/dev-python/rebulk/Manifest b/dev-python/rebulk/Manifest
index ac1936a..d179e24 100644
--- a/dev-python/rebulk/Manifest
+++ b/dev-python/rebulk/Manifest
@@ -1,2 +1,3 @@
 DIST rebulk-0.7.2.tar.gz 254345 SHA256 
ee4c75819c6d0eeedb531fb22c214e50f303ccc4703f27db1f993cd082ed5a20 SHA512 
2855b6f754dd258e5e0ba8264cd6993c08fed141fb8b61f88b43beadea9acfcfeb54443c8708fa98de44f2c199dd900e6c9669dc616713dd61d873779f1df2f5
 WHIRLPOOL 
a814772e5d34d6890b1435d652992a9b898435c4075619660351988d1ba955723a8440b8bde6a0c3e6547a465a9b040d085059a7938509a4edc9d7a21318148a
 DIST rebulk-0.7.4.tar.gz 255137 SHA256 
1bbea5ebcc18b70c5deb19ba6924fb76392d5130b0fe712e3af7a4e4bee18e21 SHA512 
0a40e0acce286d45829451fe30efc1bece4924c349c81c377aacee26afe34f032ab6624207d9f6ebb4a3d6f4e2984d63a5601a3728b208045a9a33e0816c1ef2
 WHIRLPOOL 
fe9a4468ceba020f199b89e8a6fa533e9345584dcb2a616f15187193f2145f99336c733fd9b8e9a8178d6ad73a8e3a20d6493a250fdafb3a29dde93695d5cb0d
+DIST rebulk-0.7.6.tar.gz 256070 SHA256 
1357820b13460fc30ecdf58b7743b34da79f76bec954c21051da9eefab0e82cd SHA512 
89dcaeecf559ab79c7d1d2f2f58d3f882e25517a95dacf2d1991d2035c40697cc0848bc28884b08ba7eb83d66ddc42b6f3d90133489ef45abef56ead260d95e5
 WHIRLPOOL 
466490082fbb1cbb57183ef9b5df7efd4449bb6dbff3fe91d730d9a4d44a9a85835caad4dece29be0be9f48485d6da2120db246c458858f507a706506da2211b

diff --git a/dev-python/rebulk/rebulk-0.7.6.ebuild 
b/dev-python/rebulk/rebulk-0.7.6.ebuild
new file mode 100644
index 00000000..aac7c2b
--- /dev/null
+++ b/dev-python/rebulk/rebulk-0.7.6.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library that performs advanced searches in strings"
+HOMEPAGE="https://github.com/Toilal/rebulk https://pypi.python.org/pypi/rebulk";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       # Remove base64-encoded zip archive with pytest.
+       rm runtests.py || die
+
+       # Disable unconditional dependency on dev-python/pytest-runner.
+       sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       esetup.py test
+}

Reply via email to